## kdebase 4.4.5

=== apps/CMakeLists.txt ===
project(KDEBASE_APPS)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

#search packages used by KDE
set(KDE_MIN_VERSION "4.4.5")
find_package(KDE4 4.4.5 REQUIRED)
find_package(Strigi REQUIRED)
find_package(ZLIB REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

include(ConfigureChecks.cmake)
configure_file (config-apps.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-apps.h )
include_directories (${CMAKE_CURRENT_BINARY_DIR})

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/lib/konq ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

add_subdirectory( lib )
add_subdirectory( dolphin )
add_subdirectory( kwrite )
add_subdirectory( kdialog )
add_subdirectory( keditbookmarks )
add_subdirectory( konqueror )
add_subdirectory( kfind )
add_subdirectory( kappfinder )
add_subdirectory( plasma )

if ( Q_WS_MAC )
  add_subdirectory( konsole )
  add_subdirectory( kdepasswd )
endif ( Q_WS_MAC )

if ( Q_WS_X11 )
  add_subdirectory( kinfocenter )
  add_subdirectory( nsplugins )
  add_subdirectory( konsole )
  add_subdirectory( kdepasswd )
endif ( Q_WS_X11 )
macro_optional_add_subdirectory( doc )

if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    macro_display_feature_log()
endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")

=== apps/keditbookmarks/CMakeLists.txt ===
########### next target ###############

set(kbookmarkmerger_SRCS kbookmarkmerger.cpp )


kde4_add_executable(kbookmarkmerger ${kbookmarkmerger_SRCS})

target_link_libraries(kbookmarkmerger  ${KDE4_KIO_LIBS})

install(TARGETS kbookmarkmerger ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

set(keditbookmarks_KDEINIT_SRCS 
   main.cpp 
   toplevel.cpp 
   commandhistory.cpp
   actionsimpl.cpp 
   commands.cpp 
   importers.cpp 
   bookmarkiterator.cpp 
   testlink.cpp 
   favicons.cpp 
   updater.cpp 
   exporters.cpp 
   bookmarkinfo.cpp 
   kebsearchline.cpp 
   bookmarkmodel.cpp 
   bookmarklistview.cpp 
   treeitem.cpp )

set(toplevel_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.keditbookmarks.xml)
qt4_generate_dbus_interface( ${CMAKE_CURRENT_SOURCE_DIR}/toplevel.h org.kde.keditbookmarks.xml )

qt4_add_dbus_interface( keditbookmarks_KDEINIT_SRCS ${toplevel_xml} toplevel_interface )
qt4_add_dbus_interface( keditbookmarks_KDEINIT_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../lib/konq/favicons/org.kde.FavIcon.xml favicon_interface)


kde4_add_kcfg_files(keditbookmarks_KDEINIT_SRCS settings.kcfgc )

kde4_add_kdeinit_executable( keditbookmarks ${keditbookmarks_KDEINIT_SRCS})

target_link_libraries(kdeinit_keditbookmarks konq ${KDE4_KPARTS_LIBS})

install(TARGETS kdeinit_keditbookmarks  ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS keditbookmarks          ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES keditbookmarks.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES keditbookmarksui.rc  keditbookmarks-genui.rc  DESTINATION  ${DATA_INSTALL_DIR}/keditbookmarks )

=== apps/konsole/CMakeLists.txt ===

KDE4_NO_ENABLE_FINAL(konsole)

add_subdirectory( src ) 
add_subdirectory( data ) 
add_subdirectory( desktop )

=== apps/dolphin/src/CMakeLists.txt ===

find_package(QImageBlitz REQUIRED)

macro_optional_find_package(Nepomuk)
macro_log_feature(Nepomuk_FOUND "Nepomuk" "Nepomuk" "http://www.kde.org" FALSE "" "For adding desktop-wide tagging support to dolphin")
macro_bool_to_01(Nepomuk_FOUND HAVE_NEPOMUK)
configure_file(config-nepomuk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-nepomuk.h )

include_directories( ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${QIMAGEBLITZ_INCLUDES} )

if (Nepomuk_FOUND)
  # Yes, Soprano includes is what we need here
  include_directories( ${SOPRANO_INCLUDE_DIR} ${NEPOMUK_INCLUDE_DIR} )
endif (Nepomuk_FOUND)

########### next target ###############

set(dolphinprivate_LIB_SRCS
    dolphincontroller.cpp
    dolphindetailsview.cpp
    dolphiniconsview.cpp
    dolphincolumnview.cpp
    dolphincolumnviewcontainer.cpp
    dolphindirlister.cpp
    dolphinfileitemdelegate.cpp
    dolphinmodel.cpp
    dolphinnewmenuobserver.cpp
    dolphinsortfilterproxymodel.cpp
    dolphincategorydrawer.cpp
    dolphinview.cpp
    dolphinviewactionhandler.cpp
    dolphinviewautoscroller.cpp
    dolphinremoteencoding.cpp
    dolphindetailsviewexpander.cpp
    draganddrophelper.cpp
    folderexpander.cpp
    renamedialog.cpp
    selectiontoggle.cpp
    selectionmanager.cpp
    settings/additionalinfodialog.cpp
    settings/applyviewpropsjob.cpp
    settings/dolphinsettings.cpp
    settings/viewpropertiesdialog.cpp
    settings/viewpropsprogressinfo.cpp
    panels/information/kmetadatawidget.cpp
    panels/information/kmetadataconfigurationdialog.cpp
    tooltips/ktooltip.cpp
    tooltips/ktooltipwindow.cpp
    tooltips/tooltipmanager.cpp
    versioncontrol/updateitemstatesthread.cpp
    versioncontrol/versioncontrolobserver.cpp
    viewextensionsfactory.cpp
    viewproperties.cpp
    zoomlevelinfo.cpp
)

if(Nepomuk_FOUND)
    set(dolphinprivate_LIB_SRCS
        ${dolphinprivate_LIB_SRCS}
        panels/information/kcommentwidget.cpp
        panels/information/kedittagsdialog.cpp
        panels/information/kloadmetadatathread.cpp
        panels/information/nepomukmassupdatejob.cpp
        panels/information/ktaggingwidget.cpp
    )
endif(Nepomuk_FOUND)

kde4_add_kcfg_files(dolphinprivate_LIB_SRCS
    settings/dolphin_columnmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

kde4_add_library(dolphinprivate SHARED ${dolphinprivate_LIB_SRCS})

target_link_libraries(dolphinprivate ${KDE4_KFILE_LIBS} konq ${KDE4_KNEWSTUFF3_LIBS} ${QIMAGEBLITZ_LIBRARIES} ${X11_LIBRARIES})
if(X11_Xrender_FOUND)
  target_link_libraries(dolphinprivate ${X11_Xrender_LIB} )
endif(X11_Xrender_FOUND)
if (Nepomuk_FOUND)
  target_link_libraries(dolphinprivate ${NEPOMUK_LIBRARIES} ${NEPOMUK_QUERY_LIBRARIES} ${SOPRANO_LIBRARIES})
endif (Nepomuk_FOUND)


set_target_properties(dolphinprivate PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS dolphinprivate  ${INSTALL_TARGETS_DEFAULT_ARGS})


##########################################

set(dolphinpart_SRCS
   dolphinpart.cpp
)

set(fileviewsvnplugin_SRCS
    versioncontrol/fileviewsvnplugin.cpp
)

kde4_add_plugin(dolphinpart ${dolphinpart_SRCS})
kde4_add_plugin(fileviewsvnplugin ${fileviewsvnplugin_SRCS})

target_link_libraries(dolphinpart dolphinprivate konq ${KDE4_KPARTS_LIBS} ${KDE4_KFILE_LIBS})
target_link_libraries(fileviewsvnplugin ${KDE4_KIO_LIBS} konq)

install(TARGETS dolphinpart DESTINATION ${PLUGIN_INSTALL_DIR})
install(TARGETS fileviewsvnplugin DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES dolphinpart.rc DESTINATION ${DATA_INSTALL_DIR}/dolphinpart)
install(FILES dolphinpart.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(FILES versioncontrol/fileviewsvnplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES versioncontrol/fileviewversioncontrolplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

##########################################

set(dolphin_SRCS
    dolphinapplication.cpp
    dolphinmainwindow.cpp
    dolphinnewmenu.cpp
    dolphinviewcontainer.cpp
    dolphindirlister.cpp
    dolphincontextmenu.cpp
    filterbar.cpp
    main.cpp
    pixmapviewer.cpp
    panels/information/informationpanel.cpp
    panels/information/informationpanelcontent.cpp
    panels/information/kmetadatawidget.cpp
    panels/information/kmetadataconfigurationdialog.cpp
    panels/information/phononwidget.cpp
    panels/folders/ktreeview.cpp
    panels/places/placespanel.cpp
    panels/panel.cpp
    panels/folders/treeviewcontextmenu.cpp
    panels/folders/folderspanel.cpp
    panels/folders/paneltreeview.cpp
    search/dolphinsearchbox.cpp
    settings/behaviorsettingspage.cpp
    settings/columnviewsettingspage.cpp
    settings/contextmenusettingspage.cpp
    settings/dolphinfontrequester.cpp
    settings/dolphinsettingsdialog.cpp
    settings/detailsviewsettingspage.cpp
    settings/generalsettingspage.cpp
    settings/iconsizegroupbox.cpp
    settings/iconsviewsettingspage.cpp
    settings/navigationsettingspage.cpp
    settings/previewssettingspage.cpp
    settings/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/startupsettingspage.cpp
    settings/statusbarsettingspage.cpp
    settings/trashsettingspage.cpp
    settings/viewsettingspage.cpp
    settings/viewsettingspagebase.cpp
    statusbar/dolphinstatusbar.cpp
    statusbar/statusbarspaceinfo.cpp
    statusbar/statusbarmessagelabel.cpp
    zoomlevelinfo.cpp
)

kde4_add_kcfg_files(dolphin_SRCS
    panels/folders/dolphin_folderspanelsettings.kcfgc
    panels/information/dolphin_informationpanelsettings.kcfgc
    search/dolphin_searchsettings.kcfgc
)

if(Nepomuk_FOUND)
    set(dolphin_SRCS
        ${dolphin_SRCS}
        panels/information/kcommentwidget.cpp
        panels/information/kedittagsdialog.cpp
        panels/information/kloadmetadatathread.cpp
        panels/information/nepomukmassupdatejob.cpp
        panels/information/ktaggingwidget.cpp
        search/dolphinsearchoptionsconfigurator.cpp
        search/searchcriteriondescription.cpp
        search/searchcriterionselector.cpp
        search/searchcriterionvalue.cpp
    )
endif(Nepomuk_FOUND)

if(Nepomuk_FOUND)
    include(SopranoAddOntology)
    soprano_add_ontology(dolphin_SRCS ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nfo.trig "NFO" "Nepomuk::Vocabulary" "trig")
    soprano_add_ontology(dolphin_SRCS ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nie.trig "NIE" "Nepomuk::Vocabulary" "trig")
endif(Nepomuk_FOUND)

if(NOT WIN32)
   set(dolphin_SRCS ${dolphin_SRCS} panels/terminal/terminalpanel.cpp)
endif(NOT WIN32)

qt4_add_dbus_adaptor(dolphin_SRCS
   org.kde.dolphin.Application.xml
   dolphinapplication.h DolphinApplication)
qt4_add_dbus_adaptor(dolphin_SRCS
   org.kde.dolphin.MainWindow.xml
   dolphinmainwindow.h DolphinMainWindow)

kde4_add_app_icon(dolphin_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/system-file-manager.png")

kde4_add_executable(dolphin ${dolphin_SRCS})

target_link_libraries(dolphin
    ${KDE4_KDEPRINT_LIBS}
    ${KDE4_KFILE_LIBS}
    ${KDE4_KUTILS_LIBRARY}
    konq
    dolphinprivate
    knewstuff3
    ${KDE4_PHONON_LIBS}
)

if (Nepomuk_FOUND)
    target_link_libraries(dolphin
        ${NEPOMUK_LIBRARIES}
        ${SOPRANO_LIBRARIES}
        ${NEPOMUK_QUERY_LIBRARIES}
    )
endif (Nepomuk_FOUND)

install(TARGETS dolphin ${INSTALL_TARGETS_DEFAULT_ARGS})

##########################################

set(kcm_dolphinviewmodes_PART_SRCS
    kcm/kcmdolphinviewmodes.cpp
    pixmapviewer.cpp
    settings/columnviewsettingspage.cpp
    settings/detailsviewsettingspage.cpp
    settings/dolphinfontrequester.cpp
    settings/iconsizegroupbox.cpp
    settings/iconsviewsettingspage.cpp
    settings/viewsettingspagebase.cpp
    zoomlevelinfo.cpp)

set(kcm_dolphinnavigation_PART_SRCS
    kcm/kcmdolphinnavigation.cpp
    settings/navigationsettingspage.cpp
    settings/settingspagebase.cpp)

set(kcm_dolphinservices_PART_SRCS
    kcm/kcmdolphinservices.cpp
    settings/servicessettingspage.cpp
    settings/settingspagebase.cpp)

set(kcm_dolphingeneral_PART_SRCS
    kcm/kcmdolphingeneral.cpp
    panels/information/kmetadataconfigurationdialog.cpp
    panels/information/kmetadatawidget.cpp
    settings/behaviorsettingspage.cpp
    settings/previewssettingspage.cpp
    settings/contextmenusettingspage.cpp
    settings/settingspagebase.cpp)
if (Nepomuk_FOUND)
    set(kcm_dolphingeneral_PART_SRCS
        ${kcm_dolphingeneral_PART_SRCS}
        panels/information/kcommentwidget.cpp
        panels/information/kedittagsdialog.cpp
        panels/information/kloadmetadatathread.cpp
        panels/information/nepomukmassupdatejob.cpp
        panels/information/ktaggingwidget.cpp
    )
endif (Nepomuk_FOUND)

kde4_add_kcfg_files(kcm_dolphinviewmodes_PART_SRCS
    settings/dolphin_columnmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

kde4_add_kcfg_files(kcm_dolphinnavigation_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kde4_add_kcfg_files(kcm_dolphinservices_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kde4_add_kcfg_files(kcm_dolphingeneral_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kde4_add_plugin(kcm_dolphinviewmodes ${kcm_dolphinviewmodes_PART_SRCS})
kde4_add_plugin(kcm_dolphinnavigation ${kcm_dolphinnavigation_PART_SRCS})
kde4_add_plugin(kcm_dolphinservices ${kcm_dolphinservices_PART_SRCS})
kde4_add_plugin(kcm_dolphingeneral ${kcm_dolphingeneral_PART_SRCS})

target_link_libraries(kcm_dolphinviewmodes  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} dolphinprivate)
target_link_libraries(kcm_dolphinnavigation  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} dolphinprivate)
target_link_libraries(kcm_dolphinservices  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KNEWSTUFF3_LIBRARY} dolphinprivate)
target_link_libraries(kcm_dolphingeneral ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} dolphinprivate)
if (Nepomuk_FOUND)
  target_link_libraries(kcm_dolphinviewmodes ${NEPOMUK_LIBRARIES})
  target_link_libraries(kcm_dolphinnavigation ${NEPOMUK_LIBRARIES})
  target_link_libraries(kcm_dolphinservices ${NEPOMUK_LIBRARIES})
  target_link_libraries(kcm_dolphingeneral ${NEPOMUK_LIBRARIES})
endif (Nepomuk_FOUND)

install(TARGETS kcm_dolphinviewmodes DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphinnavigation DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphinservices DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphingeneral DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############

install( FILES dolphin.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES settings/dolphin_directoryviewpropertysettings.kcfg
               settings/dolphin_generalsettings.kcfg
               settings/dolphin_columnmodesettings.kcfg
               settings/dolphin_iconsmodesettings.kcfg
               settings/dolphin_detailsmodesettings.kcfg
               settings/dolphin_versioncontrolsettings.kcfg
         DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES dolphinui.rc DESTINATION ${DATA_INSTALL_DIR}/dolphin )
install( FILES search/dolphinsearchcommands.desktop DESTINATION ${DATA_INSTALL_DIR}/dolphin )
install( FILES kcm/kcmdolphinviewmodes.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kcm/kcmdolphinnavigation.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kcm/kcmdolphinservices.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kcm/kcmdolphingeneral.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES khns/servicemenu.knsrc DESTINATION ${CONFIG_INSTALL_DIR} )
install( PROGRAMS khns/servicemenuinstallation DESTINATION ${BIN_INSTALL_DIR} )

=== apps/kinfocenter/about/CMakeLists.txt ===
install( FILES main.html  	kinfocenter.css  DESTINATION  ${DATA_INSTALL_DIR}/kinfocenter/about )

=== apps/kinfocenter/base/CMakeLists.txt ===
# TODO: HAVE_COREAUDIO (for OSX)
# TODO: HAVE_LIBDEVINFO_H (for Solaris 7 and later)
#   to be set if both -ldevinfo and libdevinfo.h exist

check_include_files(devinfo.h HAVE_DEVINFO_H)       # info_fbsd.cpp
check_include_files(fstab.h HAVE_FSTAB_H)           # info_linux.cpp
check_include_files(linux/raw.h HAVE_LINUX_RAW_H)   # info_linux.cpp
check_include_files(mntent.h HAVE_MNTENT_H)         # info_linux.cpp
check_include_files(sys/ioctl.h HAVE_SYS_IOCTL_H)   # info_linux.cpp
check_include_files(sys/raw.h HAVE_SYS_RAW_H)       # info_linux.cpp
check_include_files(Alib.h HAVE_ALIB_H)             # info_hpux.cpp

configure_file (../base/config-infocenter.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-infocenter.h )

=== apps/nsplugins/viewer/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_BINARY_DIR}/..)

if (GLIB2_FOUND)
  include_directories(${GLIB2_INCLUDE_DIR})
endif (GLIB2_FOUND)

########### next target ###############

set(nspluginviewer_SRCS nsplugin.cpp viewer.cpp xtevents.cpp glibevents.cpp
    pluginhost_xembed.cpp pluginhost_xt.cpp pluginhost.cpp scripting.cpp ${CMAKE_CURRENT_SOURCE_DIR}/../comm/dbustypes.cpp)

qt4_add_dbus_adaptor( nspluginviewer_SRCS org.kde.nsplugins.class.xml nsplugin.h NSPluginClass )
qt4_add_dbus_adaptor( nspluginviewer_SRCS org.kde.nsplugins.instance.xml nsplugin.h  NSPluginInstance )
qt4_add_dbus_adaptor( nspluginviewer_SRCS org.kde.nsplugins.viewer.xml nsplugin.h NSPluginViewer )

set(nsplugins_callback_xml  ${CMAKE_CURRENT_SOURCE_DIR}/../org.kde.nsplugins.CallBack.xml)
QT4_ADD_DBUS_INTERFACE( nspluginviewer_SRCS ${nsplugins_callback_xml} nsplugins_callback_interface )


kde4_add_executable(nspluginviewer ${nspluginviewer_SRCS})

target_link_libraries(nspluginviewer ${KDE4_KPARTS_LIBS} ${X11_Xt_LIB} ${X11_X11_LIB} ${QT_QTDBUS_LIBRARY} ${CMAKE_DL_LIBS})
if (GLIB2_FOUND)
   target_link_libraries(nspluginviewer ${GLIB2_LIBRARIES})
endif (GLIB2_FOUND)


install(TARGETS nspluginviewer ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.nsplugins.class.xml org.kde.nsplugins.instance.xml org.kde.nsplugins.viewer.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

=== apps/doc/kinfocenter/interrupts/CMakeLists.txt ===
########### install files ###############
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kinfocenter/interrupts)

=== apps/doc/kinfocenter/scsi/CMakeLists.txt ===
########### install files ###############
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kinfocenter/scsi)

=== apps/doc/kinfocenter/xserver/CMakeLists.txt ===
########### install files ###############
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kinfocenter/xserver)

=== apps/kappfinder/apps/Multimedia/CMakeLists.txt ===
install(FILES alevt.desktop
              alsamixergui.desktop
              ams.desktop
              amsynth.desktop
              ardour.desktop
              audacity.desktop
              Aumix.desktop
              aviplay.desktop
              bcast2000.desktop
              djplay.desktop
              ecamegapedal.desktop
              enjoympeg.desktop
              freebirth.desktop
              freqtweak.desktop
              galan.desktop
              Grip.desktop
              gtv.desktop
              hydrogen.desktop
              jack-rack.desktop
              jamin.desktop
              jazz.desktop
              meterbridge.desktop
              mixxx.desktop
              MP3info.desktop
              mplayer.desktop
              mtv.desktop
              ogle.desktop
              oqtplayer.desktop
              qjackctl.desktop
              qsynth.desktop
              realplayer.desktop
              rezound.desktop
              slab.desktop
              sweep.desktop
              vkeybd.desktop
              xawtv.desktop
              xcam.desktop
              xine.desktop
              xmms.desktop
              xmms-enqueue.desktop
              XMovie.desktop muse.desktop
              zynaddsubfx.desktop
              DESTINATION  ${DATA_INSTALL_DIR}/kappfinder/apps/Multimedia )

=== apps/kappfinder/apps/Office/CMakeLists.txt ===
install( FILES Applix.desktop XAcc.desktop XsLite.desktop plan.desktop  	    abiword.desktop Dia.desktop Gnome-Cal.desktop  	    Gnome-Card.desktop GnomeTimeTracker.desktop Gnumeric.desktop  	    Guppi.desktop Ical.desktop lyx.desktop netscapeaddressbook.desktop  	    scribus.desktop pybliographic.desktop xpdf.desktop  	    acroread.desktop WordPerfect.desktop WordPerfect2000.desktop  	    mrproject.desktop gnucash.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kappfinder/apps/Office )

=== debian/changelog ===
kdebase (4:4.4.5-2) unstable; urgency=high

  * Point debian/control Vcs fields to the new Git repository.
  * Remove '| kdestop' from libkonq5 Depends. Just confuses apt pointlessly.
  * Urgengy=high, important for squeeze release.

 -- Modestas Vainius <modax@debian.org>  Thu, 13 Jan 2011 21:38:54 +0200

kdebase (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update some descriptions.

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 01:47:18 +0200

kdebase (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:13 +0300

kdebase (4:4.4.3-1) unstable; urgency=low

  * New upstream release:
    - Konsole does not crash when closing a broken restored session.
      (Closes: #555831)
    - Konqueror does not crash when closing fast a tab. (Closes: #441298)

  [Martin Alfke]
  * Update of debian/copyright for kde 4.4

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Confirm symbol files for 4.4.2 on hurd-i386 i386 ia64 kfreebsd-amd64
    kfreebsd-i386 mips powerpc s390 sparc.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:50 +0300

kdebase (4:4.4.2-1) experimental; urgency=low

  * New upstream release (Closes: #568776):
    - does no more close the window when entering a new adblock filter and
      pressing Enter. (Closes: #450774)
    - Konqueror does not hangs after first letter of autocompletion at Google
      Custom Search sites. (Closes: #565270)
    - Konqueror now displays SHA1 digest for SSL certificates.
      (Closes: #525975)
    - Fixes random crashes in dolphin caused by Nepomuk D-Bus calls.
      (Closes: #558010)
    - Konsole now uses the more readable color scheme "Linux" by default.
      (Closes: #570907)
    - The nsplugins' copy of np sdk supports the SH4 architecture.
      (Closes: 562504)

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL. (Closes: #569043)
  * libkdeinit4_*.so have been moved to private directory (Closes: #553007).
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Add a symbol file for libkonq5: based on 4.3.4, update for 4.4.1 on
    amd64/i386.
  * Rename libkonqsidebarplugin4 to libkonqsidebarplugin4a, it broke API/ABI
    without bumping a soname.
  * Rename libkonqsidebarplugin4-dev to libkonqsidebarplugin-dev, adjust its
    dependencies for libkonqsidebarplugin4a.
  * Add a symbol file for libkonqsidebarplugin4a: based on 4.4.1 amd64/i386.

  [ George Kiagiadakis ]
  * Refresh patches.
  * Bump kdelibs5-dev build dependency to >= 4:4.4.
  * Add build dependency on shared-desktop-ontologies.
  * Remove kdebase-workspace-dev build dependency as it doesn't
    seem to be used anymore.
  * Update installed files.
  * Recommend ruby in dolphin for the new get hot new stuff scripts.
  * Remove unused lintian overrides.

  [ Pino Toscano ]
  * Register the konqueror manpage as slave in the x-www-browser alternative.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 23:15:35 +0300

kdebase (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Karl Ferdinand Ebert:

  * Add source.lintian-overrides to ignore lintian warning about missing
    debug depends.

  +++ Changes by Lukasz Janyst:

  * Bump build depends.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:05 +0200

kdebase (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Use DEB_HOST_ARCH_OS rather than DEB_BUILD_ARCH_OS in debian/rules

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 06 Oct 2009 17:55:14 +0200

kdebase (4:4.3.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Downgrade konqueror-nsplugins from kdebase-apps Depends to Recommends.
  * Update install files.
  * Bump KDE build dependencies to KDE 4.3.1.
  * Rewrite Linux only installation hack and use BUILD_OS rather than HOST_OS.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 30 Aug 2009 11:32:51 +0300

kdebase (4:4.3.0-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Bump shlibs each new upstream version.

  +++ Changes by Pino Toscano:

  * Remove the separate kinfocenter.install.kfreebsd and instead install
    Linux-specific stuff using rules. This way there is a .install file less
    to maintain, and it works on hurd-i386 as well.
  * Recommend kinfocenter in the kdebase-apps metapackage. (Closes: #524115)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update to Standards-Version: 3.8.3, no changes required.
  * Rename kdebase metapackage to kdebase-apps. kdebase metapackage is moved
    to meta-kde source and will be slightly different.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 22 Aug 2009 15:43:32 +0200

kdebase (4:4.3.0-1) unstable; urgency=low



=== debian/control ===
Source: kdebase
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3.0),
 libqimageblitz-dev (>= 1:0.0.4-2), libsmbclient-dev, libusb-dev, libxkbfile-dev,
 libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libstreamanalyzer-dev (>= 0.6.3),
 libxrender-dev, zlib1g-dev, libglu1-mesa-dev,
 libpci-dev, libxt-dev, libxext-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdebase.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdebase.git

Package: kdebase-apps
Architecture: all
Depends: dolphin (>= ${source:Version}), kappfinder (>= ${source:Version}),
 kdebase-bin (>= ${source:Version}), kdepasswd (>= ${source:Version}),
 kfind (>= ${source:Version}), konqueror (>= ${source:Version}),
 konsole (>= ${source:Version}), kwrite (>= ${source:Version}),
 libkonq5 (>= ${source:Version}), plasma-widget-folderview (>= ${source:Version}),
 ${misc:Depends}
Recommends: kinfocenter (>= ${source:Version}), konqueror-nsplugins (>= ${source:Version})
Description: base applications from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides core applications for the KDE 4 desktop.

Package: dolphin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdebase-bin (<< 4:4.1.80), kdebase-data (<< 4:4.1.80)
Recommends: kfind, ruby
Description: file manager 
 Dolphin is the default file manager in the KDE Plasma Workspaces, intended to be 
 both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags
 .
 This package is part of the KDE base applications module.

Package: kappfinder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-data (= ${source:Version})
Description: non-KDE application finder for KDE 
 KAppfinder searches your system for common applications and creates entries
 for them in the KDE menu.
 .
 This package is part of the KDE base applications module.

Package: kdebase-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-data (= ${source:Version})
Replaces: konqueror (<< 4:4.1.80)
Conflicts: kdesktop, kcontrol
Description: core binaries for the KDE base applications
 This package contains miscellaneous programs needed by other KDE
 applications, particularly those in the KDE base module.
 .
 This package is part of the KDE base applications module.

Package: kdebase-data
Architecture: all
Depends: ${misc:Depends}
Replaces: konqueror (<< 4:4.1.80), kdepasswd (<< 4:4.1.80)
Description: shared data files for the KDE base applications
 This package contains the architecture-independent shared data files needed
 for a basic KDE 4 desktop installation.
 .
 This package is part of the KDE 4 base applications module.

Package: kdepasswd
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-data (= ${source:Version})
Description: graphical password changing utility
 kdepasswd allows users to change their password, user icon, and other
 information.  A variety of user icons are included.
 .
 This package is part of the KDE base applications module.

Package: kfind
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: file search utility 
 KFind can be used to find files and directories on your system.
 .
 This package is part of the KDE base applications module.

Package: kinfocenter
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: kcontrol
Replaces: kdebase-bin (<< 4:4.0.0-1)
Description: system information viewer 
 KInfoCenter provides you with a graphical overview of various aspects of your
 system, such as memory usage, storage capacity, and attached devices.
 .
 This package is part of the KDE base applications module.

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-data (= ${source:Version}),
 kdebase-bin (= ${binary:Version}), install-info
Replaces: dolphin (<< 4:4.1.80)
Suggests: konq-plugins (>= 4:4.1~)
Recommends: konqueror-nsplugins (= ${binary:Version}), dolphin
Description:  advanced file manager, web browser and document viewer
 Konqueror is the KDE web browser and advanced file manager.
 .
 Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
 JavaScript, CSS3, and Netscape plugins such as Flash.
 .
 It supports advanced file management on local UNIX filesystems, with flexible
 views, network transparency, and embedded file viewing.
 .
 It is the canvas for many KDE technologies, from remote file access via KIO to
 component embedding via the KParts object interface, making it one of the most
 customizable applications available.
 .
 This package is part of the KDE base applications module.

Package: konqueror-nsplugins
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: gtk-qt-engine (<< 1:1.0)
Description: Netscape plugin support for Konqueror
 This package enables Konqueror to use Netscape plugins, such as Flash.
 .
 This package is part of the KDE base applications module.

Package: konsole
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-terminal-emulator
Breaks: yakuake (<< 2.9.0)
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain multiple
 terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package is part of the KDE base applications module.

Package: kwrite
Section: editors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kate (<< 4:4.0.0-1)
Conflicts: kate (<< 4:4.0.0-1)
Description: simple graphical text editor
 KWrite is the a simple text editor built on the KDE Platform. It uses the Kate 
 editor component, so  it supports powerful features such as flexible syntax 
 highlighting, automatic indentation, and numerous other text tools.
 .
 This package is part of the KDE base applications module.

Package: libkonq5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkonq5-templates
Replaces: kdebase-data (<< 4:4.1.80), kdebase-bin (<< 4:4.1.80)
Description: core libraries for Konqueror
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

Package: libkonq5-templates
Section: libs
Architecture: all
Conflicts: kdesktop
Depends: ${misc:Depends}
Description: data files for the Konqueror libraries
 This package contains data files used by the Konqueror libraries.
 These files are also provided by the 'kdesktop' package from KDE 3.
 .
 This package is part of the KDE base applications module.

Package: libkonq5-dev
Section: libdevel
Architecture: any
Depends: libkonq5 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libkonq5}, ${misc:Depends}
Description: development files for the Konqueror libraries
 This package contains development files for building software that uses the
 Konqueror libraries.
 .
 This package is part of the KDE base applications module.

Package: libkonqsidebarplugin4a
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libkonqsidebarplugin4
Replaces: konqueror (<< 4:4.1.80), libkonqsidebarplugin4
Description: konqueror sidebar plugin library
 This package contains base library for Konqueror sidebar plugins.
 .
 This package is part of the KDE base applications module.

Package: libkonqsidebarplugin-dev
Section: libdevel
Architecture: any
Depends: libkonqsidebarplugin4a (= ${binary:Version}),
 ${sameVersionDep:kdelibs5-dev:libkonqsidebarplugin4a}, ${misc:Depends}
Replaces: konqueror (<< 4:4.1.80), kdebase-dev, libkonqsidebarplugin4-dev
Conflicts: kdebase-dev, libkonqsidebarplugin4-dev
Description: konqueror sidebar plugin library development files
 This package contains development headers for the Konqueror sidebar plugin
 library.
 .
 This package is part of the KDE base applications module.

Package: plasma-widget-folderview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libplasma2 (<< 4:4.0.82), kdebase-plasma, plasma-applet-folderview
Conflicts: kdebase-plasma, plasma-applet-folderview
Description: plasma widget showing the content of a folder
 This package contains the Folder View Plasma widget which is capable of
 displaying and managing contents of any KDE supported location. It can be used
 as a replacement for the traditional "desktop" folder concept in the main
 Plasma shell, but it is a lot more flexible. Folder View is part of the
 initial default KDE 4 desktop configuration.
 .
 This package is part of the KDE base applications module.

Package: kdebase-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdebase-runtime-dbg, ${misc:Depends}
Suggests: kdebase (= ${source:Version})
Description: debugging symbols for the KDE base applications module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE base applications module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_DH_MAKESHLIBS_ARGS_ALL := -V

DEB_INSTALL_DOCS_ALL=

ifeq ($(DEB_HOST_ARCH_OS),linux)
install/kinfocenter::
	# Install common files
	dh_install -p$(cdbs_curpkg) --ignore=debian/$(cdbs_curpkg).install.linux
endif
